<?php

use Phinx\Migration\AbstractMigration;

class Categories extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->table('category', ['collation' => 'utf8mb4_unicode_ci'])
            ->addColumn('title', 'string', ['null' => true])
            ->create();

        $this->table('feed')
            ->addColumn('category_id', 'integer', ['null' => true])
            ->addForeignKey('category_id', 'category', 'id', ['delete' => 'SET_NULL'])
            ->update();
    }
}
